package com.example.demo.exception;

import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

import java.time.LocalDateTime;

@RestControllerAdvice
public class ApiExceptionHandler {

    @ExceptionHandler(ApiException.class)
    public ResponseEntity<ApiExceptionResponse> handleApiRequestException(ApiException e) {
        return ResponseEntity.badRequest().body(
                new ApiExceptionResponse(
                        e.getMessage(),
                        HttpStatus.BAD_REQUEST,
                        LocalDateTime.now()
                )
        );
    }
}
