package com.example.demo.mappers;

import com.example.demo.models.Account;
import com.example.demo.models.dto.AccountDTO;
import com.example.demo.models.dto.AuthRequestDTO;
import lombok.RequiredArgsConstructor;
import org.modelmapper.ModelMapper;
import org.springframework.stereotype.Component;

@Component
@RequiredArgsConstructor
public class AccountMapper {
    private final ModelMapper modelMapper;

    public Account map(AuthRequestDTO requestDTO) {
        return modelMapper.map(requestDTO, Account.class);
    }

    public AccountDTO mapShort(Account account) {
        return modelMapper.map(account, AccountDTO.class);
    }
}
